import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { MiguWhiteLot } from '../models/index';
/**
 * @author auto generate
 * @version 1.3
 * @date 2022-07-28 13:34
 */
interface MiguWhiteLotCU extends ConditionUtil<MiguWhiteLotCU> {
    LOT_ID: FieldUtil<MiguWhiteLotCU>;
    CREATE_TIME: FieldUtil<MiguWhiteLotCU>;
}
declare class MiguWhiteLotMU extends TableUtilImpl<MiguWhiteLotCU, MiguWhiteLot> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): MiguWhiteLotCU;
    static get LOT_ID(): FieldUtil<MiguWhiteLotCU>;
    static get CREATE_TIME(): FieldUtil<MiguWhiteLotCU>;
    get LOT_ID(): FieldUtil<MiguWhiteLotCU>;
    get CREATE_TIME(): FieldUtil<MiguWhiteLotCU>;
}
export { MiguWhiteLotMU, MiguWhiteLotCU };
